Package org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

# Class DiffRelationshipComputerChange

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.CompareEvent<IDiffRelationshipComputer>
org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.DiffRelationshipComputerChange

All Implemented Interfaces:
  `ICompareEvent`, `IDiffRelationshipComputerChange`

public class DiffRelationshipComputerChange extends CompareEvent<IDiffRelationshipComputer> implements IDiffRelationshipComputerChange
A change for `IDiffRelationshipComputer`.

## Constructor Summary

Constructors
Constructor
Description
`DiffRelationshipComputerChange(IDiffRelationshipComputer oldValue, IDiffRelationshipComputer newValue)`

## Method Summary

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.configuration.impl.CompareEvent

`getNewValue, getOldValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.internal.configuration.IDiffRelationshipComputerChange

`getNewValue, getOldValue`

## Constructor Details

### DiffRelationshipComputerChange

public DiffRelationshipComputerChange(IDiffRelationshipComputer oldValue, IDiffRelationshipComputer newValue)